#!/usr/bin/python
# -*- coding: utf-8 -*-
# -----------------------------------------------------------------------
#    This file is part of WAPT
#    Copyright (C) 2013  Tranquil IT Systems http://www.tranquil.it
#    WAPT aims to help Windows systems administrators to deploy
#    setup and update applications on users PC.
#
#    WAPT is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    WAPT is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with WAPT.  If not, see <http://www.gnu.org/licenses/>.
#
# -----------------------------------------------------------------------

import platform
from setuphelpers import *

uninstallkey = []
uninstallstring= []

def install():
    from common import Version
    try:
        dotnet35 = [ s for s in installed_softwares('Microsoft .NET Framework 3.5') if Version(s['version']) >= Version('3.5.30729')]
    except:
        dotnet35 = [ s for s in installed_softwares('Microsoft .NET Framework 3.5') if s['version'] >= '3.5.30729']

    #on windows 2008R2, dotnetfx3.5 is installed as a "feature" and cannot be installed with a separate download file.
    if platform.win32_ver()[0]=='2008ServerR2':
        run(r'c:\windows\sysnative\dism.exe /online /enable-feature /featurename:NetFx3')
    elif not dotnet35:
        print(run('dotnetfx35.exe /q /norestart'))
        print("After install, restart your computer is recommended.")

def uninstall():
    for dotnet in installed_softwares('Microsoft .NET Framework 3.5'):
        run(uninstall_cmd(dotnet['key']))